import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState } from 'react';
import { Pagehead, Label, Text, Link, Box } from '@primer/react';
import { ECharlesIcon } from '@datalayer/icons-react/eggs';
export const AboutTab = (props) => {
    const { version } = props;
    const [egg, setEgg] = useState(false);
    return (_jsxs(_Fragment, { children: [_jsxs(Pagehead, { as: "h2", children: ["\uD83E\uDE90 \u269B\uFE0F Jupyter React", _jsx(Label, { sx: { marginLeft: 1 }, children: version })] }), _jsx(Box, { children: _jsx(Text, { children: "React.js components \uD83D\uDCAF% compatible with \uD83E\uDE90 Jupyter." }) }), _jsx(Box, { children: _jsx(Link, { href: "https://datalayer.tech/docs/releases/1.2.0-black-snake", target: "_blank", children: _jsx(Text, { as: "h4", children: "Datalayer 1.2.0 Black Snake Release" }) }) }), _jsx(Box, { children: _jsx(Link, { href: "https://github.com/datalayer/jupyter-ui/tree/main/packages/react", target: "_blank", children: _jsx(Text, { as: "h4", children: "Source code" }) }) }), _jsx(Box, { mt: 3, children: !egg ? (_jsx("img", { src: "https://assets.datalayer.tech/releases/datalayer-1.2.0-black-snake_1024.png", onClick: e => setEgg(true) })) : (_jsx(ECharlesIcon, { size: 300, onClick: e => setEgg(false) })) })] }));
};
export default AboutTab;
//# sourceMappingURL=AboutTab.js.map