import { ServiceManager } from '@jupyterlab/services';
import { IManager as IKernelspecManager } from '@jupyterlab/services/lib/kernelspec/kernelspec';
import { IManager as ISessionManager } from '@jupyterlab/services/lib/session/session';
import { IManager as ITerminaManager } from '@jupyterlab/services/lib/terminal/terminal';
export declare class JupyterServices {
    private _serviceManager;
    constructor(services: ServiceManager.IManager);
    kernelspecs(): IKernelspecManager;
    contents(): import("@jupyterlab/services").Contents.IManager;
    nbconvert(): import("@jupyterlab/services").NbConvert.IManager;
    sessions(): ISessionManager;
    settings(): import("@jupyterlab/services").Setting.IManager;
    terminals(): ITerminaManager;
    workspaces(): import("@jupyterlab/services").Workspace.IManager;
    builder(): import("@jupyterlab/services").Builder.IManager;
    serverSettings(): import("@jupyterlab/services").ServerConnection.ISettings;
    refreshKernelspecs(): Promise<void>;
    getKernelspecs(): import("@jupyterlab/services/lib/kernelspec/restapi").ISpecModels | null;
}
export default JupyterServices;
