import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
import { useJupyter } from './../jupyter/JupyterContext';
import FileBrowser from '../components/filebrowser/FileBrowser';
const FileBrowserExample = () => {
    const { serviceManager } = useJupyter();
    return (serviceManager
        ? _jsx(FileBrowser, { serviceManager: serviceManager })
        : _jsx(_Fragment, {}));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(JupyterReactTheme, { children: _jsx(FileBrowserExample, {}) }));
//# sourceMappingURL=FileBrowser.js.map